%define dict_name	mueller7
%define dict_file       Mueller7GPL

BuildRequires: dict-tools

Name: %dict_name-mova
Version: 1.2
Release: ipl7

Summary: V.K. Mueller English-Russian Dictionary, 7 Edition: mova format
Summary(ru): -  ,  7:  mova
License: GPL
Group: Text tools
Url: http://www.chat.ru/~muller_dic/

Source: %dict_file.tgz
Source2: mueller7-mova.menu
Source3: Movarc_Mueller7GPL

BuildArchitectures: noarch

Requires: mova
#Requires: sil_ipa-fonts

%description
Electronic version of V.K. Mueller English-Russian Dictionary, 7 Edition
in mova format. You can use it with programs from mova package.

%description -l ru_RU.KOI8-R
  -   7- .
  mova.       
mova.

%prep
%setup -q -c

%build
mkdir rpmdoc
mv usr/local/share/mova/*.txt rpmdoc/

%install
install -p -m644 -D usr/local/share/dict/%dict_file.koi $RPM_BUILD_ROOT%_datadir/dict/%dict_file.koi
install -p -m644 -D usr/local/share/dict/%dict_file.koi.hash $RPM_BUILD_ROOT%_datadir/dict/%dict_file.koi.hash
install -p -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_menudir/mueller7-mova
install -p -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/mova/Movarc_Mueller7GPL.koi

%post -n %dict_name-mova
%update_menus

%files
%_datadir/dict/*
%_menudir/*
%_sysconfdir/mova/*
%doc rpmdoc/*

%changelog
* Thu Oct 17 2002 Alexey Dyachenko <alexd@altlinux.ru> 1.2-ipl7
- remove mueller7-dict package

* Thu Apr 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2-ipl6
- fixed install scripts

* Mon Sep 10 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.2-ipl5
- Fixed menu entry

* Mon Jul 9  2001 Nidd <nidd@altlinux.ru> 1.2-ipl4
- Fixed phonetic-font name in Movarc_Mueller7GPL

* Mon May 8  2001 Peter 'Nidd' Novodvorsky <nidd@altlinux.ru> 1.2-ipl3
- Changed movaTK to movaMTK

* Wed Feb 21 2001 Peter 'Nidd' Novodvorsky <petya@logic.ru> ipl2
- Added /usr/sbin before dictdconfig in case that user doesn't have
/usr/sbin in path.

* Sun Feb 4 2001 Peter 'Nidd' Novodvorsky <petya@logic.ru> ipl1
- Spec rewritten
- mova and dict compatibility
- menu system integration

* Wed May 31 2000 Dmitry V. Levin <ldv@fandra.org>
- RE adaptions.

* Sat Apr 22 2000 Dmitry V. Levin <ldv@fandra.org>
- sil_ipa-fonts in separate package.
- renamed to mueller7, to avoid conflicts with other mueller dictionaries.

* Sat Apr 22 2000 Dmitry V. Levin <ldv@fandra.org>
- 0.9

* Wed Nov 10 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
